package com.example.samplemultiwindow;

import android.app.Activity;
import android.os.Bundle;
import android.support.v4.widget.DrawerLayout;
import android.support.v4.widget.DrawerLayout.DrawerListener;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.View.OnTouchListener;
import android.widget.Button;
import android.widget.TextView;

public class MainActivity extends Activity {

	private DrawerLayout drawerLayout;
	private View drawerView;
	private TextView txtPrompt, txtPrompt2;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);

		txtPrompt = (TextView) findViewById(R.id.prompt);
		txtPrompt2 = (TextView) findViewById(R.id.prompt2);

		drawerLayout = (DrawerLayout) findViewById(R.id.drawer_layout);
		drawerView = (View) findViewById(R.id.drawer);

		Button buttonOpenDrawer = (Button) findViewById(R.id.opendrawer);
		buttonOpenDrawer.setOnClickListener(new OnClickListener() {

			public void onClick(View arg0) {
				drawerLayout.openDrawer(drawerView);
			}
		});

		Button buttonCloseDrawer = (Button) findViewById(R.id.closedrawer);
		buttonCloseDrawer.setOnClickListener(new OnClickListener() {

			public void onClick(View arg0) {
				drawerLayout.closeDrawers();
			}
		});

		drawerLayout.setDrawerListener(myDrawerListener);
		drawerView.setOnTouchListener(new OnTouchListener() {

			public boolean onTouch(View v, MotionEvent event) {
				// TODO Auto-generated method stub
				return true;
			}
		});
	}

	DrawerListener myDrawerListener = new DrawerListener() {

		public void onDrawerClosed(View drawerView) {
			txtPrompt.setText("onDrawerClosed");
		}

		public void onDrawerOpened(View drawerView) {
			txtPrompt.setText("onDrawerOpened");
		}

		public void onDrawerSlide(View drawerView, float slideOffset) {
			txtPrompt.setText("onDrawerSlide: "
					+ String.format("%.2f", slideOffset));
		}

		public void onDrawerStateChanged(int newState) {
			String state;
			switch (newState) {
			case DrawerLayout.STATE_IDLE:
				state = "STATE_IDLE";
				break;
			case DrawerLayout.STATE_DRAGGING:
				state = "STATE_DRAGGING";
				break;
			case DrawerLayout.STATE_SETTLING:
				state = "STATE_SETTLING";
				break;
			default:
				state = "unknown!";
			}

			txtPrompt2.setText(state);
		}
	};

}
